Ueda Plastic (Thailand) Co.,Ltd. - Parent project #988

[PJ240066] Label : Direct Thermal For PW

11 Apr 2025 16:09 - Karnthida Wannasiwaporn

Status: Closed Start date: 11 Apr 2025
Priority: Normal Due date:

Assignee: Karnthida Wannasiwaporn Spent time: 0.00 hour
Description

History

#1 - 11 Apr 2025 16:09 - Karnthida Wannasiwaporn

- Status changed from In Progress to New

#2 - 04 Dec 2025 08:54 - Siriwilai Chaiwattanaphon

- Status changed from New to Closed

20 Dec 2025
